---
title: insert-animacy.py
author: Michael Percillier
---

# Instructions

* In the Terminal, change the working directory to the current directory using the `cd` command
* Run the script with `python insert-animacy.py corpusDir`, where `corpusDir` stands for the directory containing your corpus files with the file ending `*.psd`
* When running with Python 3, use the script `insert-animacy3.py` instead
* When running the script on the PLAEME corpus, use the flag `-p` or `--plaeme`, so `python insert-animacy -p corpusDir`

# Details

The script `insert-animacy.py` inserts lemma and animacy information for lexical noun forms that occur within prepositional phrases headed by *to* that occurred in the vicinity of verbs in the PPCME2, the PCMEP, or the PLAEME. This is done to help determine the status of prepositional phrases as prepositional objects or adverbials. The noun forms that were identified will also be annotated when they occur outside of such prepositional phrases. The script relies on the information in the table `toPP-animacy.csv`, which lists the forms identified and the information to be inserted into the corpus.

# Version history

## Version 4 (2023-01-20)

- Python 2.x version of the script no longer maintained as Python 2 is now deprecated. The script file named `insert-animacy.py` is now a Python 3 script.
- Increased coverage of annotated lexical nouns by adding spelling variants contained in the _Middle English Dictionary_.


## Version 3 (2021-10-06)

* Updated BASICS Toolkit URL in disclaimer

## Version 2 (2020-09-15)

* Added insertion of a disclaimer in the output files so that end users are made aware of the fact that their corpus files have been treated by the script, with links to further information
* Added a category "panimate"

## Version 1 (2019-06-28)

* Initial version, script works as intended
